using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
namespace BLL
{
   public class BLLdept
    {
        //5+1/as|px
        private static readonly DAL.DALdept getDept=new DAL.DALdept();

        /// <summary>
        /// 部门
        /// </summary>
        #region 添加
        public static  void Insert(MODEL.Dept dept)
        {
            getDept.Insert(dept);
        }
        #endregion

        #region 更新
        public static  void Update(MODEL.Dept dept)
        {
            getDept.Update(dept);
        }
        #endregion

        #region 删除
        public static  void Delete(MODEL.Dept dept)
        {
            getDept.Delete(dept);

        }
        #endregion

        #region 查询
       public static DataSet Dept()
       {
           return getDept.getDept();
       }

       public static MODEL.Dept getDeptModel(int id)
       {
           return getDept.getDeptModel(id);
       }
        #endregion

       #region 验证
       public static bool checkDept(string name)
       {
           return getDept.checkDept(name);
       }
       #endregion
   }
}
